cURL
curl --request DELETE \
--url https://api.glideapps.com/stashes/{stashID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.glideapps.com/stashes/{stashID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.glideapps.com/stashes/{stashID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"type": "<string>",
"message": "<string>"
}
}Stashing
Delete Stash
Deletes a stash and all its data
DELETE
/
stashes
/
{stashID}
cURL
If you no longer need a stash, you can delete it. This will remove the stash and all the data it contains.
Even if you do not call this endpoint, all stashes are automatically deleted within 48 hours after they are created.
To understand what stashing is and how to use it to work with large datasets, please see our introduction to stashing.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the stash, e.g., 20240215-job32
Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_-]{0,255}$Example:
"20240215-job32"
Response
A 200 HTTP response code indicates that the stash with the given stash ID was successfully deleted.
Was this page helpful?
⌘I